import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/device_managment/ceiling_sensor/model/ceiling_sensor_model.dart';

class CeilingSensorState extends Equatable {
  const CeilingSensorState();

  @override
  List<Object> get props => [];
}

class CeilingInitialState extends CeilingSensorState {}

class CeilingLoadingInitialState extends CeilingSensorState {}

class CeilingUpdateState extends CeilingSensorState {
  final CeilingSensorModel ceilingSensorModel;
  const CeilingUpdateState({required this.ceilingSensorModel});

  @override
  List<Object> get props => [ceilingSensorModel];
}

class CeilingLoadingNewSate extends CeilingSensorState {
  final CeilingSensorModel ceilingSensorModel;
  const CeilingLoadingNewSate({required this.ceilingSensorModel});

  @override
  List<Object> get props => [ceilingSensorModel];
}

class CeilingFailedState extends CeilingSensorState {
  final String error;

  const CeilingFailedState({required this.error});

  @override
  List<Object> get props => [error];
}
