import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/device_managment/wall_sensor/model/wall_sensor_model.dart';

class WallSensorState extends Equatable {
  const WallSensorState();

  @override
  List<Object> get props => [];
}

class WallSensorInitialState extends WallSensorState {}

class WallSensorLoadingInitialState extends WallSensorState {}

class WallSensorUpdateState extends WallSensorState {
  final WallSensorModel wallSensorModel;
  const WallSensorUpdateState({required this.wallSensorModel});

  @override
  List<Object> get props => [wallSensorModel];
}

class WallSensorLoadingNewSate extends WallSensorState {
  final WallSensorModel wallSensorModel;
  const WallSensorLoadingNewSate({required this.wallSensorModel});

  @override
  List<Object> get props => [wallSensorModel];
}

class WallSensorFailedState extends WallSensorState {
  final String error;

  const WallSensorFailedState({required this.error});

  @override
  List<Object> get props => [error];
}
